%define uname	RTLSDR-Airband

Name:		rtlsdr-airband
Version:	3.2.1
Release:	%mkrel 1
Summary:	CLI airband receiver using RTL-SDR dongle
Group:		Communications/Radio
License:	GPLv3
# https://github.com/szpajder/RTLSDR-Airband.git
Url:		https://github.com/szpajder/%{uname}
Source0:	https://github.com/szpajder/%{uname}/archive/v%{version}/%{uname}-%{version}.tar.gz
Source1:	rtl_airband-mageia.sh
Source2:	rtl_airband.default
Source3:	rtl_airband.unit
Source4:	README.Mageia
Patch0:		makefile.patch
ExcludeArch:	%arm

BuildRequires:	lame-devel
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(libconfig)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(librtlsdr)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(shout)
BuildRequires:	pkgconfig(vorbis)

%description
A CLI airband/scanning receiver using an RTL-SDR dongle.
Features:
    Multichannel mode - decode up to eight AM or NFM channels per dongle
    (within bandwidth frequency range).
    Scanner mode - decode unlimited number of AM and/or NFM channels with
    frequency hopping and no frequency range limitations.
    Decode multiple dongles simultaneously.
    Auto squelch and Automatic Gain Control.
    MP3 encoding.
    Stream to Icecast or SHOUTcast server.
    Record to local MP3 files (continuously or skipping silence periods).
    Multiple streaming/recording destinations per channel.
    Mixing several channels into a single audio stream (both mono and stereo
    mixing is supported).
    
For quick start guide see /usr/share/doc/rtlsdr-airband/README.Mageia

%prep
%autosetup -n %{uname}-%{version} -p1

%build
export PLATFORM=x86
export NFM=1
export PULSE=1

%make_build 

%install
%make_install

mkdir -p %{buildroot}/etc/init.d
install -D %{SOURCE1} %{buildroot}%{_sysconfdir}/init.d/rtl_airband
install -D %{SOURCE2} %{buildroot}%{_sysconfdir}/default/rtl_airband
mkdir -p %{buildroot}%{_docdir}/%{name}
cp -f config/* %{buildroot}%{_docdir}/%{name}/
cp -f %{SOURCE4} %{buildroot}%{_docdir}/%{name}/
mkdir -p %{buildroot}%{_unitdir}
cp -f %{SOURCE3} %{buildroot}%{_unitdir}/rtl_airband.service

%files
%doc %{_docdir}/%{name}/*
%{_bindir}/rtl_airband
%{_sysconfdir}/init.d/rtl_airband
%config(noreplace) %{_sysconfdir}/rtl_airband.conf
%config(noreplace) %{_sysconfdir}/default/rtl_airband
%{_unitdir}/rtl_airband.service


%changelog
* Mon Nov 16 2020 barjac <barjac> 3.2.1-1.mga8
+ Revision: 1646451
- new version 3.2.1

* Mon Nov 09 2020 barjac <barjac> 3.2.0-1.mga8
+ Revision: 1643856
- new version 3.2.0

* Thu Feb 20 2020 umeabot <umeabot> 3.1.0-2.mga8
+ Revision: 1545829
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 barjac <barjac> 3.1.0-1.mga8
+ Revision: 1485260
- new version 3.1.0

* Sun Sep 23 2018 umeabot <umeabot> 3.0.1-2.mga7
+ Revision: 1300865
- Mageia 7 Mass Rebuild

* Fri Apr 06 2018 kekepower <kekepower> 3.0.1-1.mga7
+ Revision: 1215607
- Update to version 3.0.1
- Rediffed patch

* Fri Dec 01 2017 barjac <barjac> 2.4.0-1.mga7
+ Revision: 1180556
- new version 2.4.0
- patched makefile to fix build
- extended README.Mageia to include new pulseaudio server option
- now builds in core not tainted (lame)
- added BR on pulse

* Mon Jan 23 2017 barjac <barjac> 2.3.0-2.mga6.tainted
+ Revision: 1083159
- drop arm builds
- minor changes to %%description and README.Mageia

* Mon Jan 23 2017 barjac <barjac> 2.3.0-1.mga6.tainted
+ Revision: 1083084
- New package

